cURL
curl --request GET \ --url https://ai.megallm.io/v1/models \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "gpt-4", "created_at": "2023-11-07T05:31:56Z", "owned_by": "openai", "display_name": "GPT-4", "capabilities": { "supports_function_calling": true, "supports_vision": true, "supports_streaming": true, "supports_structured_output": true }, "pricing": { "input_tokens_cost_per_million": 123, "output_tokens_cost_per_million": 123, "currency": "USD" }, "context_length": 123, "max_output_tokens": 123 } ] }
List all available AI models with their capabilities and pricing
Documentation IndexFetch the complete documentation index at: https://docs.megallm.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.megallm.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication (OpenAI-compatible)
Successful response
list
Show child attributes
Was this page helpful?